import { axios } from '@/utils/request'

//  仓库列表  有分页
export const shopProductList = (params) => {
  const url = `/shopProduct/queryProductPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 获取商城状态
export const findMallParam = (params) => {
  return axios({
    url: '/dealerBizParam/findMallParam',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('获取商城状态')
    }
  })
}
// 修改商城状态
export const updateMallParam = (params) => {
  return axios({
    url: '/dealerBizParam/updateMallParam',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('修改商城状态')
    }
  })
}

// 商城目录 列表  无分页
export const queryExtList = (params) => {
  return axios({
    url: '/shopCategory/queryExtList',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('商城目录列表')
    }
  })
}
